Subject: IPP> Common alerts from the IETF printer MIB for inclusion in the IPP Model Document

From: "Zehler,Peter" <[email-masked]>
Date: Mon, 29 Sep 1997 06:59:18 PDT

Scott,
  Here is my input for section 4.5.10 (printer-state-reasons).  I went
through rfc1759 alerts and arrived at this subset.  This should satisfy
the action item assigned to me at the last IPP meeting.  Also included
are the references to LDPA and HTPP for inclusion in the IPP model
document.
Hope you can include this stuff.  Sorry I was gone all last week.
Pete

__________________________________        
Email:   [email-masked]
US Mail: Peter Zehler
         Xerox Corp.
         800 Phillips Rd.
         Webster NY, 14580-9701
Voice:   (716) 265-8755
FAX:     (716)265-8792
__________________________________        
"I always wanted to be somebody, 
  but I should have been more specific." 
                                         Lily Tomlin
__________________________________        

> [35]   T. Hastings,  S. Isaacson,  M. MacKay, C. Manros, D. Taylor, P.
> Zehler,  "LDPA - Lightweight Document Printing Application",  October
> 1996 
> 
> [36]   J. Barnett, K.  Carter, R. DeBry,  "Initial Draft - Hypertext
> Printing Protocol - HTPP/1.0",  October 1996
> 
> ____________________________
> The following standard values are defined: 
> 'paused': Someone has paused the Printer. In this state, a Printer
> SHALL not produce printed output, but it SHALL perform other
> operations requested by a client. If a Printer had been printing a job
> when the Printer was paused, the Printer SHALL resume printing that
> job when the Printer is no longer paused and leave no evidence in the
> printed output of such a pause. 
> 'shutdown': Someone has removed a Printer from service, and it may be
> powered down or physical removed. In this state, a Printer SHALL not
> produce printed output, and unless the Printer is realized by a print
> server that is still active, the Printer SHALL perform no other
> operations requested by a client, including returning this value. If a
> Printer had been printing a job when it was shutdown, the Printer need
> not resume printing that job when the Printer is no longer shutdown.
> If the Printer resumes printing such a job, it may leave evidence in
> the printed output of such a shutdown, e.g. the part printed before
> the shutdown may be printed a second time after the shutdown. 
> 'connecting-to-device': The server has scheduled a job on the Printer
> and is in the process of connecting to a shared network output device
> (and might not be able to actually start printing the job for an
> arbitrarily long time depending on the usage of the output device by
> other servers on the network). 
> 'timed-out': The server was able to connect to the output device (or
> is always connected), but was unable to get a response from the output
> device. 
> 'stopping': The printer will be stopping in a while and will change
> its reason to printer-stopped. This reason is a non-critical, even for
> a Printer with a single output device. When an output-device ceases
> accepting jobs, the Printer will have this state while the output
> device completes printing. 
> 'stopped-partly': When a Printer controls more than one output device,
> this reason indicates that one or more output devices are stopped. If
> the reason is a report, fewer than half of the output devices are
> stopped. If the reason is a warning, fewer than all of the output
> devices are stopped. 
>  'cover-open': One or more covers on the printer is open.
> 'interlock-open': One or more interlock devices on the printer is
> unlocked.
> 'door-open': One or more doors on the printer are open.
> 'input-tray-missing': One or more input trays are not in the printer.
> 'media-low': At least one input tray is low on media.
> 'media-empty': At least one input tray is empty.
> 'media-needed': The printer requires a different media be loaded.
> (i.e. the current job requires a media not currently loaded in the
> printer.) 
> 'output-tray-missing': One or more output trays are not in the printer
> 'output-area-almost-full': One or more output area is almost full.
> (e.g. tray, stacker, collator)
>  'output-area-full': One or more output area is full. (e.g. tray,
> stacker, collator)
>  'marker-supply-low': The Printer is low on at least one marker
> supply. (e.g. toner, ink, ribbon)
> 'marker-supply-empty: The Printer is out of at least one marker
> supply. (e.g. toner, ink, ribbon)
> 'marker-waste-almost-full': The Printer marker supply waste receptacle
> is almost full.
> 'marker-waste-full': The Printer marker supply waste receptacle is
> full.
> 'fuser-over-temp': The fuser temperature is above normal;
> 'fuser-under-temp': The fuser temperature is below normal.
> 'opc-near-eol': The optical photo conductor is near end of life.
> 'opc-life-over': The optical photo conductor is no longer functioning.
> 'developer-low': The Printer is low on developer.
> 'developer-empty: The Printer is out of developer.
> 'media-jam': The printer has a media jam.
> 'interpret-resource-unavail': An interpreter resource is unavailable.
> (i.e. font, form)
> 'spool-area-full': The limit of persistent storage allocated for
> spooling has been reached. 
> 'other': The printer has detected an error other than one listed in
> this document.
> 'unknown': The printer is unable to give additional detail about the
> state of the printer.  This state reason is semantically equivalent to
> printer-state-reasons without any value.
>  
> __________________________________        
> Email:   [email-masked]
> US Mail: Peter Zehler
>          Xerox Corp.
>          800 Phillips Rd.
>          Webster NY, 14580-9701
> Voice:   (716) 265-8755
> FAX:     (716)265-8792
> __________________________________        
> "I always wanted to be somebody, 
>   but I should have been more specific." 
>                                          Lily Tomlin
> __________________________________        
>